:root {
  --border-color: gray;
  --color: black;
}

#app {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.header {
  background-color: #123168;
}

.w100p {
  width: 100%;
}

.navbar-dark .navbar-toggler {
  color: rgba(255, 255, 255, 0.55);
  border-color: rgba(255, 255, 255, 0.5);
}

.grid-item {
  box-shadow: 0 0 0 1px #eee;
}

.dropdown-overlay {
  position:fixed;
  top:0;
  bottom:0;
  left:0;
  right:0;
  z-index:1;
}

.ddinput {
  border: none;
  outline: none!important;
}

.btn-outline-active:hover,
.btn-active {
  color: white!important;
  background-color: var(--border-color)!important;
  border-color: var(--border-color)!important;
}

.btn-outline-active,
.btn-outline-active:active {
  color: var(--border-color)!important;
  border-color: var(--border-color)!important;
  background-color: white;
}

.modal-overlay {
  display: block;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
  background-color: rgba(0,0,0,.25);
}

.content {
  flex-grow: 1;
}

.word-wrap {
  word-wrap: break-word;
}

.my-toast {
  width: 350px;
  max-width: 100%;
  font-size: 0.875rem;
  pointer-events: auto;
  background-color: white;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.1);
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
  border-radius: 0.25rem;
}

.fade-enter-active, .fade-leave-active {
  transition: opacity .5s
}
.fade-enter, .fade-leave-to  {
  opacity: 0
}

.menu-enter-active, .menu-leave-active {
  transition: opacity .5s;
}
.menu-enter, .menu-leave-to {
  opacity: 0;
}

.page-link {
  color: black;
}

.page-item.active .page-link {
  border-color: #123168;
  background-color: #123168;
}

.footer {
  background-color: #e7e7e7;
}

.footer-link {
  color: #6c757d;
}

.nowrap {
  white-space: nowrap;
}

.wrap {
  white-space: normal;
}

.fwnw {
  flex-wrap: nowrap;
}

.flex-wrap {
  flex-wrap: wrap;
}

.cursor-default {
  cursor: default;
}

.navbar-toggler:focus {
  box-shadow: 0 0 0 2px;
}

.ico-ext-link {
  display: inline-block;
  position: relative;
  top: -3px;
}

.ico-int-link {
  display: inline-block;
  position: relative;
  top: -3px;
}

.unu {
  text-decoration: none;
}

.vl .level_2_link[href^=http] .ico-ext-link {
  display: inline-block;
}

.ico-ext-link-mob {
  display: none;
  position: relative;
  top: -2px;
  margin-left:auto;
  padding-left: 15px;
}

.ico-ext-link-mob-2 {
  display: none;
  position: relative;
  margin-left:auto;
  top: -2px;
}

.ico-ext-link-mob-3 {
  display: none;
  position: relative;
  margin-left:auto;
  top: -4px;
}

.ico-exp-mob {
  position: relative;
  top: -2px;
  margin-left:3px;
  transition: all .3s;
}

.ico-exp-mob-2 {
  position: relative;
  top: -2px;
  margin-left:3px;
  transition: all .3s;
}

.ico-exp-mob.active,
.ico-exp-mob-2.active {
  transform: rotate(180deg);
}

.nav-link.active {
  color: white;
  font-weight: 700;
}

.nav-link.active:hover {
  color: #bebebe;
}

.nav-link:hover {
  color: #bebebe;
}

.nav-link {
  color: white;
}

.newslist {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.br {
  border-radius: 0.25rem!important;
}

.brr {
  border-radius: 0 0.25rem 0.25rem 0!important;
}

.col--center {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.button_remove {
  color: red;
  cursor: pointer;
}

.button_edit {
  display: none;
  color: green;
  cursor: pointer;
}

.button_logout {
  color: #ffffff;
  cursor: pointer;
}

.input-group-text {
  background-color: #f7f7f7;
}

.link_grey {
  color: #373737;
}

.navbar {
  background-color: var(--border-color);
}

.level_1 {
  opacity: .5;
}

.level_1:hover,
.level_1.active {
  opacity: 1;
}

.nav_arrow_1, .nav_arrow_2 {
  display: none;
  color: white;
  cursor: pointer;
}

.vl {
  padding-left: 3px;
  position: relative;
}

.vl:before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  border: 2px solid var(--border-color);
  opacity: .2;
  transition: all .3s;
}

.vl.active:before,
.vl:hover:before {
  opacity: 1;
}

.vl .level_2_link {
  text-decoration: none;
  opacity: .65;
}

.vl:hover .level_2_link,
.vl.active .level_2_link {
  text-decoration: none;
  opacity: 1;
}

.level_2_big {
  text-transform: uppercase;
  font-weight: 600;
}

.level_2_title {
  color: var(--color);
  text-transform: uppercase;
  font-weight: 600;
}

.level_2_desc {
  font-size: .9em;
  color: black;
}

.menu_border {
  border: 2px solid var(--border-color);
}

.level_3_big {
  text-transform: uppercase;
  font-weight: 600;
  font-size: 14px;
}

.level_3_title {
  color: var(--color);
  text-transform: uppercase;
  font-weight: 500;
  text-decoration: none!important;
  font-size: 14px;
}

.level_3_title:hover {
  opacity: .65;
}

.level_2_big a:hover,
.level_3_big a:hover {
  text-decoration: none;
}

.menu_mob_2 {
  display: none;
  padding: 0 0 0 20px;
  list-style: none;
}
.level_2_mob {
  line-height: 30px;
  text-decoration: none;
  color: white;
}

.level_2_mob:hover {
  text-decoration: none;
  color: white;
  opacity: .5;
}

.menu_mob_3_bg {
  background-color: var(--border-color)
}

.menu_mob_3 {
  list-style: none;
  padding: 0 0 0 20px;
}

.menu_mob_2_descr {
  color: white;
  font-weight: bold;
  margin-bottom: 3px;
}

.menu_mob_3_descr {
  color: white;
  font-weight: bold;
  padding-left: 20px;
  margin-top: 5px;
  margin-bottom: 3px;
}

.level_3_mob {
  text-decoration: none;
  color: white;
  line-height: 30px;
}

.level_3_mob:hover {
  text-decoration: none;
  color: white;
  opacity: .5;
}

.dnd_hovered {
  opacity: .5;
}


.dropdown_2_level {
  background-color: #071d4c;
  border-width: 0px;
}

.dropdown_2_level_item {
  color: #8f99ae;
}

.dropdown_3_level {
  margin-left: 8px;
  margin-top: -6px;
}

.large-button {
  width: 140px !important;
  height: 140px !important;
  line-height: 1.2;
  border-color: white;
  display: flex;
  align-items: center;
  justify-content:center;
}

.btn-outline-primary,
.btn-outline-primary:active {
    background-color: white;
    border-color: #123168;
    color: #123168;
}

.btn-outline-primary:hover {
    background-color: #123168;
    border-color: #123168;
    color: white;
}

.btn-primary {
    background-color: #123168;
    border-color: #123168;
    color: white;
}

.btn-primary:hover {
    background-color: #123168;
    border-color: #123168;
    color: white;
}

.a-grey {
    color: black;
}

@media (max-width: 991.98px) {
  .nav_arrow_1, .nav_arrow_2 { display: inline-block; }
  .menu_mob_2 { display: block; }
  .top-space { display: block; }
  .submenu { display:none; }
  .ico-ext-link-mob,
  .ico-ext-link-mob-2,
  .ico-ext-link-mob-3 {
    display: inline-block;
  }
  .top-space {
    margin-top:8px;
  }
}

@media (max-width: 600px) {
  .mob-flex {
    display: flex;
    flex-direction: column;
    border-bottom: 1px solid black;
  }
  .mob-block {
    display: block;
    border: none;
  }
  .mob-inline-block {
    display: inline-block;
  }
}
